<template>
  <div class="contact-us">
    <div class="contact-header">
      <div class="container">
        <h4>Contact us</h4>
        <h2>
          We have three different<br />
          offices accross <strong>Asia.</strong>
        </h2>
        <p>Contact us via email, call us or drop by.</p>
      </div>
    </div>
    <div class="locations">
      <div class="container">
        <div class="location">
          <div class="img-container">
            <img src="../assets/hongkong.png" alt="hongkong" />
            <router-link to="/">
              <img
                src="../assets/open-map-icon.svg"
                class="pin"
                alt="pin"
              />Open Map</router-link
            >
          </div>
          <div class="content">
            <img src="../assets/logo.png" class="logo" alt="logo" />
            <h1>Hong Kong</h1>
            <p>Nova Dynamic Media co.ltd.</p>
            <ul>
              <li>
                <img src="../assets/phone-icon.svg" alt="phone" />(852) 3996
                7687
              </li>
              <li>
                <img src="../assets/phone-icon.svg" alt="phone" />Unit 06, 11/F,
                One Midtown,<br />
                11 Hoi Shing Road,<br />
                Tsuen Wan, N.T., Hong Kong
              </li>
              <li>
                <img src="../assets/time-icon.svg" alt="phone" />Local Time :
                22:00
              </li>
            </ul>
          </div>
        </div>
        <div class="location second">
          <div class="content">
            <img
              src="../assets/tab-meeting.png"
              class="logo"
              alt="tab-meeting"
            />
            <h1>Taipei</h1>
            <p>TapMeeting Co. Ltd.</p>
            <ul>
              <li>
                <img src="../assets/phone-icon.svg" alt="phone" />(886) 2 2785
                0892 ext. 21<br />
                (886) 983 700168
              </li>
              <li>
                <img src="../assets/phone-icon.svg" alt="phone" />Unit 06, 11/F,
                10F-3, No.815, Sec.5,<br />
                Zhongxiao E. Rd. Nangang<br />
                Dist., Taipei City 115, Taiwan
              </li>
              <li>
                <img src="../assets/time-icon.svg" alt="phone" />Local Time :
                22:00
              </li>
            </ul>
          </div>
          <div class="img-container">
            <img src="../assets/taipei.png" alt="hongkong" />
            <router-link to="/">
              <img
                src="../assets/open-map-icon.svg"
                class="pin"
                alt="pin"
              />Open Map</router-link
            >
          </div>
        </div>
        <div class="location">
          <div class="img-container">
            <img src="../assets/singapore.png" alt="hongkong" />
            <router-link to="/">
              <img
                src="../assets/open-map-icon.svg"
                class="pin"
                alt="pin"
              />Open Map</router-link
            >
          </div>
          <div class="content">
            <img src="../assets/logo.png" class="logo" alt="logo" />
            <h1>Singapore</h1>
            <p>Nova Dynamic</p>
            <ul>
              <li>
                <img src="../assets/phone-icon.svg" alt="phone" />(65) 6908 8299
              </li>
              <li>
                <img src="../assets/phone-icon.svg" alt="phone" />60 Paya Lebar
                Road #07-54<br />
                Singapore 409051
              </li>
              <li>
                <img src="../assets/time-icon.svg" alt="phone" />Local Time :
                22:00
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="enquiry-form">
      <h4>Enquire Now</h4>
      <h2>Ready to Plan Your Next Event ?</h2>
      <form action="">
        <label for="fname">First name<span>*</span></label>
        <input
          type="text"
          id="fname"
          name="fname"
          placeholder="First Name"
          value=""
        />
        <label for="lname">Last name<span>*</span></label>
        <input
          type="text"
          id="lname"
          name="lname"
          placeholder="Last Name"
          value=""
        />
        <label for="enail">Email Address<span>*</span></label>
        <input
          type="email"
          id="email"
          name="email"
          placeholder="Email Address"
          value=""
        />
        <label for="cname">Company Name<span>*</span></label>
        <input
          type="text"
          id="cname"
          name="cname"
          placeholder="Company Name"
          value=""
        />
        <label for="phone">Contact Phone Number<span>*</span></label>
        <input
          type="number"
          id="phone"
          name="phone"
          placeholder="Contact Phone Number"
          value=""
        />
        <label for="fname">First name<span>*</span></label>
        <input
          type="text"
          id="fname"
          name="fname"
          placeholder="First Name"
          value=""
        />
        <label for="lname">Last name<span>*</span></label>
        <input
          type="text"
          id="lname"
          name="lname"
          placeholder="Last Name"
          value=""
        />
        <label for="enail">Email Address<span>*</span></label>
        <input
          type="email"
          id="email"
          name="email"
          placeholder="Email Address"
          value=""
        />
        <label for="cname">Company Name<span>*</span></label>
        <input
          type="text"
          id="cname"
          name="cname"
          placeholder="Company Name"
          value=""
        />
        <label for="phone">Contact Phone Number<span>*</span></label>
        <input
          type="number"
          id="phone"
          name="phone"
          placeholder="Contact Phone Number"
          value=""
        />
      </form>
    </div>
  </div>
</template>

<script>
export default {
  name: "ContactUs"
};
</script>

<style>
.contact-us {
  background: #e5e5e5 4d;
}
.contact-us .contact-header .container {
  padding: 100px 15%;
  background: url("../assets/location.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.contact-us .contact-header .container h4 {
  font-weight: 900;
  font-size: 20px;
  line-height: 29px;
  background: linear-gradient(95.72deg, #5fc653 0%, #a2d631 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  margin: 0;
}
.contact-us .contact-header .container h2 {
  font-weight: 900;
  font-size: 65px;
  line-height: 75px;
  text-align: center;
  letter-spacing: -0.03em;
  color: #000;
  margin: 30px 0 80px 0;
}
.contact-us .contact-header .container h2 strong {
  background: linear-gradient(95.72deg, #5fc653 0%, #a2d631 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  position: relative;
}
.contact-us .contact-header .container h2 strong::after {
  background-image: url("../assets/border-btm.png");
  background-size: 100%;
  display: inline-block;
  content: "";
  position: absolute;
  bottom: -90px;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
}
.contact-us .contact-header .container p {
  font-weight: 600;
  font-size: 25px;
  line-height: 35px;
  letter-spacing: -0.03em;
  color: #1c1c1c;
  margin: 0;
  text-align: center;
}
.contact-us .locations {
  margin-top: 40px;
}
.contact-us .locations .container {
  max-width: 75%;
  margin: 0 auto;
}
.contact-us .locations .container .location {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 100px;
}

.contact-us .locations .container .location .img-container {
  width: 60%;
  margin-right: 90px;
  position: relative;
}
.contact-us .locations .container .location .img-container img {
  width: 100%;
  object-fit: cover;
}
.contact-us .locations .container .location .img-container a {
  position: absolute;
  right: 40px;
  bottom: 40px;
  background: linear-gradient(95.72deg, #5fc653 0%, #a2d631 100%);
  border-radius: 27.5px;
  padding: 10px 30px;
  display: flex;
  align-items: center;
  font-weight: 600;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  letter-spacing: -0.03em;
  color: #fff;
  text-decoration: none;
}
.contact-us .locations .container .location .img-container a .pin {
  width: 30px;
  height: 30px;
  margin-right: 10px;
}
.contact-us .locations .container .location .content .logo {
  margin-bottom: 40px;
}
.contact-us .locations .container .location .content h1 {
  font-weight: 600;
  font-size: 45px;
  line-height: 55px;
  letter-spacing: -0.03em;
  color: #1c1c1c;
  margin: 0;
}
.contact-us .locations .container .location .content p {
  font-weight: 500;
  font-size: 18px;
  line-height: 24px;
  color: #000;
  opacity: 0.6;
  margin: 10px 0 0 0;
}
.contact-us .locations .container .location .content ul {
  margin: 40px 0;
}
.contact-us .locations .container .location .content ul li {
  font-weight: 600;
  font-size: 18px;
  line-height: 25px;
  color: #000;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 20px;
}
.contact-us .locations .container .location .content ul li:last-of-type {
  margin-bottom: 0;
}
.contact-us .locations .container .location .content ul li img {
  margin-right: 20px;
}
.contact-us .locations .container .location .content ul li a {
  display: flex;
  align-items: center;
  color: #000;
  text-decoration: none;
}
.contact-us .locations .container .second {
  justify-content: space-between;
}
.contact-us .enquiry-form {
  background-image: url("../assets/form-bg.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 100px 0;
}
.contact-us .enquiry-form h4 {
  font-weight: 900;
  font-size: 20px;
  line-height: 29px;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  color: #fff;
  opacity: 0.7;
  margin: 0;
}
.contact-us .enquiry-form h2 {
  font-style: normal;
  font-weight: 600;
  font-size: 45px;
  line-height: 55px;
  text-align: center;
  letter-spacing: -0.03em;
  color: #fff;
  margin: 20px 0 60px 0;
}
.contact-us .enquiry-form form {
  width: 620px;
  background: #fff;
  box-shadow: 0px 10px 75px rgba(0, 0, 0, 0.25);
  border-radius: 40px;
  margin: 0 auto;
  padding: 60px;
}
.contact-us .enquiry-form form label {
  display: block;
  font-weight: 600;
  font-size: 18px;
  line-height: 25px;
  color: #000;
  margin-bottom: 10px;
}
.contact-us .enquiry-form form label span {
  color: red;
  padding-left: 5px;
}
.contact-us .enquiry-form form input {
  width: 100%;
  background: #fff;
  border: 1px solid #7c7c7c;
  box-sizing: border-box;
  border-radius: 26px;
  padding: 10px 16px;
  font-size: 16px;
  line-height: 21px;
  color: #aca9a9;
  margin-bottom: 30px;
}
</style>
